Entrar

Criar método de pagamento

POST https://{organization}.myguper.com/api/register/payment

Registra um método de pagamento (linha em register.payment) para a organização. O controller aceita tanto os nomes canônicos (id, name, type) quanto os aliases estilo VTEX (paymentSystem, paymentSystemName, paymentSystemType); os aliases têm prioridade quando ambos são enviados. Quando name/type são omitidos, os valores caem para UNNAMED/UNTYPED.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "id": "1",                                                  // optional
    "name": "Pix",                                              // optional
    "type": "pix"                                               // optional
}

Respostas

{
    "id": "1",
    "name": "Pix",
    "type": "pix"
}
Copied to clipboard